/**
 */
import * as $Util from '@alicloud/tea-util';
import OpenApi, * as $OpenApi from '@alicloud/openapi-client';
import * as $tea from '@alicloud/tea-typescript';
export declare class AddCateringCommentHeaders extends $tea.Model {
    commonHeaders?: {
        [key: string]: string;
    };
    xAcsDingtalkAccessToken?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddCateringCommentRequest extends $tea.Model {
    /**
     * @remarks
     * This parameter is required.
     */
    commentId?: string;
    orderId?: string;
    rateContent?: string;
    ratedAt?: number;
    rating?: number;
    /**
     * @remarks
     * This parameter is required.
     */
    shopId?: string;
    /**
     * @remarks
     * This parameter is required.
     */
    source?: string;
    status?: number;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddCateringCommentResponseBody extends $tea.Model {
    errorCode?: string;
    errorMsg?: string;
    result?: string;
    success?: boolean;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class AddCateringCommentResponse extends $tea.Model {
    headers?: {
        [key: string]: string;
    };
    statusCode?: number;
    body?: AddCateringCommentResponseBody;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    constructor(map?: {
        [key: string]: any;
    });
}
export default class Client extends OpenApi {
    constructor(config: $OpenApi.Config);
    /**
     * 新增餐饮评价数据
     *
     * @param request - AddCateringCommentRequest
     * @param headers - AddCateringCommentHeaders
     * @param runtime - runtime options for this request RuntimeOptions
     * @returns AddCateringCommentResponse
     */
    addCateringCommentWithOptions(request: AddCateringCommentRequest, headers: AddCateringCommentHeaders, runtime: $Util.RuntimeOptions): Promise<AddCateringCommentResponse>;
    /**
     * 新增餐饮评价数据
     *
     * @param request - AddCateringCommentRequest
     * @returns AddCateringCommentResponse
     */
    addCateringComment(request: AddCateringCommentRequest): Promise<AddCateringCommentResponse>;
}
